curl --request POST \
--url https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/refresh \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
}
'import requests
url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/refresh"
payload = { "refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..." }
headers = {
"x-site-context": "<x-site-context>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({refreshToken: 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...'})
};
fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/local/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "596f7557696e2d4d617a616c546f7621",
"userId": "6169b2d892a5f30009d76480",
"roles": "customer",
"name": "Pat E Kake",
"account": "xxxxxcxxxxxxxxxxxxxx",
"userType": "customer",
"accessToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...",
"refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
}{
"error": "LOCAL_AUTH_FAILED",
"code": "400",
"message": "Username or password is invalid"
}{
"error": "USER_DEACTIVATED_ERROR",
"code": "401",
"message": "User is already deactivated"
}Refresh local user
Refresh local user with refresh token
Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Refresh token
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
Response
Sign-in response
Sign-in response body
Response ID
"596f7557696e2d4d617a616c546f7621"
User ID
"6169b2d892a5f30009d76480"
User roles
"customer"
User's full name
Show child attributes
Show child attributes
"Pat E Kake"
Merchant account ID
"xxxxxcxxxxxxxxxxxxxx"
Type of user
"customer"
Access token
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
Refresh token
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
Was this page helpful?
